Bem-vindo, Visitante
Nome do utilizador: Senha: Memorizar

TÓPICO: Instalação em Linux Mint 19 (64bit)

Instalação em Linux Mint 19 (64bit) 2 meses 2 semanas atrás #12846

  • rpaugusto
  • Avatar de rpaugusto
  • DESLIGADO
  • Mensagens: 1
  • Obrigado recebido 1
Quem já tentou executar o Projecto Colibri em Linux Mint 19 (e provavelmente noutras distribuições baseadas em Ubuntu 18.04), verificou que dá um erro devido à versão muito recente de ambiente Java, neste momento OpenJDK versão 11. Para executar correctamente é necessário Java 8 (OpenJDK 8).

A melhor maneira de solucionar este problema sem criar conflitos com outras aplicações passa por instalar paralelamente OpenJDK 8 e criar uma script para criar as variáveis de ambiente correctas apenas para a execução do Projecto Colibri, sem alterar as variáveis globais.

Para estas instruções presume-se a versão de 64 bits do sistema operativo.

Para instalar OpenJDK 8 basta o seguinte comando:

sudo apt install openjdk-8-jdk

Para criar as variáveis de ambiente correctas, basta criar um ficheiro de script, por ex. "RCPcolibri_java8.sh", na pasta onde está o executável do Projecto Colibri. Basta colocar as seguintes linhas e gravar:

JAVA_HOME="/usr/lib/jvm/java-8-openjdk-amd64/jre/"
export JAVA_HOME
PATH=$JAVA_HOME/bin:$PATH
export PATH
./RCPcolibri


É necessário alterar as permissões do ficheiro para permitir a execução. O seguinte comando vai dar permissão de execução:

chmod +x RCPcolibri_java8.sh

A partir deste momento pode-se lançar este ficheiro para executar correctamente o Projecto Colibri.
Última Edição: 2 meses 2 semanas atrás por rpaugusto. Motivo: Modificação de efeito de tipo de letra numa linha.
O adminstrador desactivou a escrita pública.
The following user(s) said Thank You: marcolopes
Moderadores: marcolopes